#pragma once
#include "Global.h"


// CChassisConfigDlg 对话框

class CChassisConfigDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CChassisConfigDlg)

public:
	CChassisConfigDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CChassisConfigDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CONFIG_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	CComboBox m_cb_chassis;
	void FillData2Wnd(Global::TChassis &chassis);
	void SaveChange2Config();
	BOOL IsChassisExsit(std::string chassis);
	afx_msg void OnCbnSelchangeComboChassis();
	CButton m_check_mtk_init;
	CButton m_check_wb_init;
	CButton m_check_pid;
	CButton m_check_did;
	CButton m_check_mac;
	CButton m_check_hdcp;
	CButton m_check_esn;
	CButton m_check_widi;
	CButton m_check_widevine;
	CButton m_check_hdcp2;
	CButton m_check_cikey;
	CButton m_check_channel;
	CButton m_check_osd_lang;
	CButton m_check_shop_lang;
	CButton m_check_wb;
	afx_msg void OnBnClickedAddChassis();
};
